picard.vcf.MendelianViolations

## Class MendelianViolationMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.vcf.MendelianViolations.MendelianViolationMetrics

-     public class MendelianViolationMetrics
      extends MergeableMetricBase

  Describes the type and number of mendelian violations found within a Trio.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `FAMILY_ID` The family ID assigned to the trio for which these metrics are calculated.
    `String` | `FATHER` The ID of the father within the trio.
    `String` | `MOTHER` The ID of the mother within the trio.
    `long` | `NUM_DIPLOID_DENOVO` The number of diploid sites at which a potential de-novo mutation was observed (i.e.
    `long` | `NUM_HAPLOID_DENOVO` The number of sites at which the offspring is haploid, the parent is homozygous reference and the offspring is non-reference.
    `long` | `NUM_HAPLOID_OTHER` The number of sites at which the offspring is haploid and exhibits a reference allele that is not present in the parent.
    `long` | `NUM_HOM_HET_HOM` The number of sites at which one parent is homozygous, the other is heterozygous and the offspring is the alternative homozygote.
    `long` | `NUM_HOMREF_HOMVAR_HOM` The number of sites at which the one parent is homozygous reference, the other homozygous variant and the offspring is homozygous.
    `long` | `NUM_HOMVAR_HOMVAR_HET` The number of sites at which both parents are homozygous for a non-reference allele and the offspring is heterozygous.
    `long` | `NUM_OTHER` The number of otherwise unclassified events.
    `long` | `NUM_VARIANT_SITES` The number of biallelic, SNP sites at which all relevant samples exceeded the minimum genotype quality and depth and at least one of the samples was variant.
    `String` | `OFFSPRING` The ID of the offspring within the trio.
    `Sex` | `OFFSPRING_SEX` The sex of the offspring.
    `long` | `TOTAL_MENDELIAN_VIOLATIONS` The total of all mendelian violations observed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MendelianViolationMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculateDerivedFields()` placeholder method that will calculate the derived fields from the other ones.
    `static String` | `getExtension()`

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FAMILY_ID

          public String FAMILY_ID

      The family ID assigned to the trio for which these metrics are calculated.

    - #### MOTHER

          public String MOTHER

      The ID of the mother within the trio.

    - #### FATHER

          public String FATHER

      The ID of the father within the trio.

    - #### OFFSPRING

          public String OFFSPRING

      The ID of the offspring within the trio.

    - #### OFFSPRING_SEX

          public Sex OFFSPRING_SEX

      The sex of the offspring.

    - #### NUM_VARIANT_SITES

          public long NUM_VARIANT_SITES

      The number of biallelic, SNP sites at which all relevant samples exceeded the minimum genotype quality and depth and at least one of the samples was variant.

    - #### NUM_DIPLOID_DENOVO

          public long NUM_DIPLOID_DENOVO

      The number of diploid sites at which a potential de-novo mutation was observed (i.e. both parents are hom-ref, offspring is not hom-ref.

    - #### NUM_HOMVAR_HOMVAR_HET

          public long NUM_HOMVAR_HOMVAR_HET

      The number of sites at which both parents are homozygous for a non-reference allele and the offspring is heterozygous.

    - #### NUM_HOMREF_HOMVAR_HOM

          public long NUM_HOMREF_HOMVAR_HOM

      The number of sites at which the one parent is homozygous reference, the other homozygous variant and the offspring is homozygous.

    - #### NUM_HOM_HET_HOM

          public long NUM_HOM_HET_HOM

      The number of sites at which one parent is homozygous, the other is heterozygous and the offspring is the alternative homozygote.

    - #### NUM_HAPLOID_DENOVO

          public long NUM_HAPLOID_DENOVO

      The number of sites at which the offspring is haploid, the parent is homozygous reference and the offspring is non-reference.

    - #### NUM_HAPLOID_OTHER

          public long NUM_HAPLOID_OTHER

      The number of sites at which the offspring is haploid and exhibits a reference allele that is not present in the parent.

    - #### NUM_OTHER

          public long NUM_OTHER

      The number of otherwise unclassified events.

    - #### TOTAL_MENDELIAN_VIOLATIONS

          public long TOTAL_MENDELIAN_VIOLATIONS

      The total of all mendelian violations observed.

  - ### Constructor Detail

    - #### MendelianViolationMetrics

          public MendelianViolationMetrics()

  - ### Method Detail

    - #### getExtension

          public static String getExtension()

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      placeholder method that will calculate the derived fields from the other ones. classes that are derived from non-trivial base classes should consider calling super.calculateDerivedFields() as well.
      Overrides:
        `calculateDerivedFields` in class `MergeableMetricBase`